﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WKBFailSample
{
	class Program
	{
		static void Main(string[] args)
		{
			if (args.Length  == 0)
			{
				Console.WriteLine("Arguments are empty.");
				Console.WriteLine("First argument has to be Connection string to database, second argument layer name.");
				System.Environment.Exit(-1);
			}
			else if (args.Length  != 2)
			{
				Console.WriteLine(string.Format("Arguments '{0}' are invalid.", String.Join(", ", args)));
				Console.WriteLine("First argument has to be Connection string to database, second argument layer name.");
				System.Environment.Exit(-1);
			}

			Console.WriteLine("Set Environment.");
			Work.SetEnvironment(System.Environment.CurrentDirectory);
			Console.WriteLine("SaveGeometry.");
			Work.SaveGeometry(args);
		}
	}
}
